/* itrdb_nede.h
 * 
 * NEDE data in ITR setup database
 *
 */

/**********************************************************************/
DefineLedaTable (ITR_nede, 2000,  
		 DBint inede;
		 DBfloat rot_db[9];
		 DBfloat xfw_db[2];
		 DBfloat zfw_db;
		 DBint   nwi_db[2];
		 DBfloat xmin_db[2];
		 DBfloat xmax_db[2];
		 DBfloat ymin_db[2];
		 DBfloat ymax_db[2];
		 DBfloat zmin_db;
		 DBfloat zmax_db;
		 DBfloat sxmn_db[2];
		 DBfloat sxmx_db[2];
		 DBfloat symx_db[2];
		 DBfloat symn_db[2];
		 DBfloat acc_db;
		 DBfloat eff_db;
		 DBfloat dod_db;
		 DBfloat pit_db;
		 DBfloat ms_db;
		 DBint   nsl_db;     /* Number of sublayers in a segment */
		 DBint   superl_db;  /* GESLsyperlayer */
		 DBint   lay_db;     /* layer */
		 DBint   sec_db[2];  /* sector */
		 DBfloat dedx_db;
		 DBascii hwc_db[13];
                 DBint noise_db;
                 DBint ares_db;
		 DBrelation tonesl;     /* relation container */
		 DBrelation tochamber;  /* relation to chamber table */
		 DBrelation toalign;    /* relation to alignment table */
		 );


/* Key setting */
SetLedaKey(3) (ITR_nede, 
	       DBint, superl_db,
               DBint, lay_db,
               DBint, sec_db
	       );

/* Relation setting */
SetLedaRelation(3) (ITR_nede, 
                      tonesl,    ITR_nesl,    tonede,
		      tochamber, ITR_Chamber, tonede,
		      toalign,   ITR_Align,   tonede
                   );
 
DefineLedaRelationTable (ITR_nede,
               ITR_nesl,    ITR_nesl_R_nede,
	       ITR_Chamber, ITR_cham_R_nede,
	       ITR_Align,   align_R_nede
                );
 
/**********************************************************************/
DefineLedaTable (ITR_nesl, 20,  
		 DBint inesl;
		 DBint nsl;
		 DBint mfl;
		 DBint lay;
		 DBfloat x1;
		 DBfloat x2;
		 DBfloat y1;
		 DBfloat y2;
		 DBfloat z1;
		 DBfloat z2;
		 DBfloat dx;
		 DBfloat dy;
		 DBint npl;
		 DBint fpl;
		 DBint nwl;
		 DBint fwl;
		 DBint ltyp;
		 DBint pnede;
		 DBascii name[5];
		 DBrelation tonede; /* relation container */
		 );


/* Key setting */
SetLedaKey(1) (ITR_nesl, DBint, nsl);

/* Relation setting */
SetLedaRelation(1) (ITR_nesl, 
                      tonede,ITR_nede, tonesl
                   );
 
DefineLedaRelationTable (ITR_nesl,
               ITR_nede, ITR_nesl_R_nede
                );

/**********************************************************************/
