#ifndef _ITRRHP_H_
#define _ITRRHP_H_

#ifdef __cplusplus
extern "C" {
#endif

/* IOL include */
#include "iol.h"

/* necessary DAQ includes */
#include "event.h"
#include "component.h"

#include "CVStag.itrrhp"


/* on/off */
#define ITRRHP_OFF  0
#define ITRRHP_ON   1

/* some define's for histogram/array sizes */
#define NCELL    141
#define NBUCKET  220
#define NTIMEBIN 100


/* maximal number of rhp histograms */
#define MAXHIST 100

/* define SVD_ID = 0x0100000 + ID */
/* rsp. ITR_ID = 0x02000000 + ID */
#define SVD_ID(ID) ((COMP_ID_SVD<<16) | (ID)) 
#define ITR_ID(ID) ((COMP_ID_ITR<<16) | (ID))


  /*VB new convention for histo-IDs*/
unsigned int DQ_ID( int subdid,int recid, int histid );

/* IOL definitions
   =============== */

typedef struct {
  IOL_MNAME  module[IOL_MLEN];        /* Module name must be first         */
  IOL_SIZE   size;                    /* # of verbs must be second         */ 
  IOL_STRING version;                 /* version of library                */
  IOL_INT    use_rhp;                 /* Use ITR_rhp at all ?              */
  IOL_INT    update_period;           /* Update period [events]            */
  IOL_INT    full_histo;              /* which histos?                     */
  IOL_INT    whichchamber;            /* which chamber?                    */
  IOL_INT    debug_mode;              /* Flag for debugging                */
  IOL_INT    histevt_store;
  IOL_INT    store_text;
  IOL_INT    text_switch;
  IOL_INT    update_binsn;
  IOL_STRING path_histout;
} ITR_rhp_Iol_t;					    
extern ITR_rhp_Iol_t ITR_rhp_iol;

typedef struct {
  int   ncluster;
  int   ID;
  float midmaxheight;
} ITR_rhp_Chambernumber_t;

typedef struct {
  int   ID;
  float bxevent[NBUCKET];
  float bxclus[NBUCKET];
  float bxclev[NBUCKET];
} ITR_rhp_BX_t;

typedef struct {
  int ID;
  int ncl;
} ITR_rhp_ncl_t;


/* function prototypes
   =================== */

/* program entry points */
int ITR_rhp_param_init();
int ITR_rhp_init();
int ITR_rhp_event( EVENT_HDR *event );
int ITR_rhp_end();

/* additional functions */
void ITR_rhp_booktext(int run);
void ITR_rhp_storehisto(int run);

#ifdef __cplusplus
}
#endif

#endif
